Package org.drinkless.tdlib

# Class TdApi.GiveawayInfoCompleted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiveawayInfo
org.drinkless.tdlib.TdApi.GiveawayInfoCompleted

Enclosing class:
  `TdApi`

public static class TdApi.GiveawayInfoCompleted extends TdApi.GiveawayInfo
Describes a completed giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.GiveawayInfo

  `TdApi.GiveawayInfo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `activationCount`
  Number of winners, which activated their gift codes; for Telegram Premium giveaways only.
  `int`
  `actualWinnersSelectionDate`
  Point in time (Unix timestamp) when the winners were selected.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `creationDate`
  Point in time (Unix timestamp) when the giveaway was created.
  `String`
  `giftCode`
  Telegram Premium gift code that was received by the current user; empty if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Premium giveaway.
  `boolean`
  `isWinner`
  True, if the current user is a winner of the giveaway.
  `boolean`
  `wasRefunded`
  True, if the giveaway was canceled and was fully refunded.
  `int`
  `winnerCount`
  Number of winners in the giveaway.
  `long`
  `wonStarCount`
  The Telegram Star amount won by the current user; 0 if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Star giveaway.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiveawayInfoCompleted()`
  Describes a completed giveaway.
  `GiveawayInfoCompleted(int creationDate, int actualWinnersSelectionDate, boolean wasRefunded, boolean isWinner, int winnerCount, int activationCount, String giftCode, long wonStarCount)`
  Describes a completed giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### creationDate

    public int creationDate
    Point in time (Unix timestamp) when the giveaway was created.

  - ### actualWinnersSelectionDate

    public int actualWinnersSelectionDate
    Point in time (Unix timestamp) when the winners were selected. May be bigger than winners selection date specified in parameters of the giveaway.

  - ### wasRefunded

    public boolean wasRefunded
    True, if the giveaway was canceled and was fully refunded.

  - ### isWinner

    public boolean isWinner
    True, if the current user is a winner of the giveaway.

  - ### winnerCount

    public int winnerCount
    Number of winners in the giveaway.

  - ### activationCount

    public int activationCount
    Number of winners, which activated their gift codes; for Telegram Premium giveaways only.

  - ### giftCode

    public String giftCode
    Telegram Premium gift code that was received by the current user; empty if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Premium giveaway.

  - ### wonStarCount

    public long wonStarCount
    The Telegram Star amount won by the current user; 0 if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Star giveaway.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiveawayInfoCompleted

    public GiveawayInfoCompleted()
    Describes a completed giveaway.

  - ### GiveawayInfoCompleted

    public GiveawayInfoCompleted(int creationDate, int actualWinnersSelectionDate, boolean wasRefunded, boolean isWinner, int winnerCount, int activationCount, String giftCode, long wonStarCount)
    Describes a completed giveaway.
    Parameters:
      `creationDate` - Point in time (Unix timestamp) when the giveaway was created.
      `actualWinnersSelectionDate` - Point in time (Unix timestamp) when the winners were selected. May be bigger than winners selection date specified in parameters of the giveaway.
      `wasRefunded` - True, if the giveaway was canceled and was fully refunded.
      `isWinner` - True, if the current user is a winner of the giveaway.
      `winnerCount` - Number of winners in the giveaway.
      `activationCount` - Number of winners, which activated their gift codes; for Telegram Premium giveaways only.
      `giftCode` - Telegram Premium gift code that was received by the current user; empty if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Premium giveaway.
      `wonStarCount` - The Telegram Star amount won by the current user; 0 if the user isn't a winner in the giveaway or the giveaway isn't a Telegram Star giveaway.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.GiveawayInfo`
    Returns:
      this.CONSTRUCTOR